# Populate simple table

Example below populates a dummy table shape with text.&#x20;

1. Find the shape `name` you want to update. See [here](/knowledge-base/finding-shape-names.md) to find shape names.
2. Use the `data_cells` object to populate a table shape. It is a 2-dimensions array of cell values. Each cell value can be a simple string or a text object.

Before and after

![](/files/hcsjVtZbT6bdISUFBfRc)

Template Presentation

{% file src="/files/-Mj9ytUn5Lql2iAovmdT" %}

JSON Payload

```javascript
{
  "presentation": {
  "template": "slides_as_template_table.pptx",
  "export_version": "Pptx2010",
    "slides": [
      {
        "type": "slide",
        "slide_index": 2,
        "shapes": [
          {
            "name": "Table 2",
            "data_cells": [
              [
                "Charts",
                "Tables",
                "Pictures",
                "Textboxes",
                "Tagging",
                "Styling"
              ],
              [
                "Insert new chart objects",
                "Insert new table objects",
                "Insert new picture objects",
                "Input strings into text boxes",
                "Use powerful tagging to replace strings efficiently",
                "Use you branded and styled PowerPoint decks as template" 
              ],
              [
                "Configure any chart properties",
                "Configure any table properties",
                "Replace existing pictures with new pictures",
                "Or change any textbox setting and create new ones",
                null,
                "or style your presentation via API"
              ]
            ]
          }
        ]
      }
    ]
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.powerpointgeneratorapi.com/examples/table/table-shape.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
